{ config, lib, pkgs, ... }:
{
  config = lib.mkIf config.jovian.steam.enable {
    jovian.steam.desktopSession = "gnome";

    services.desktopManager.gnome.enable = true;

    environment.gnome.excludePackages = with pkgs; [
      adwaita-icon-theme
      baobab
      epiphany
      evince
      file-roller
      geary
      gnome-calculator
      gnome-calendar
      gnome-characters
      gnome-clocks
      gnome-color-manager
      gnome-connections
      gnome-console
      gnome-contacts
      gnome-disk-utility
      gnome-font-viewer
      gnome-logs
      gnome-maps
      gnome-music
      gnome-remote-desktop
      gnome-shell-extensions
      gnome-software
      gnome-system-monitor
      gnome-text-editor
      gnome-tour
      gnome-user-docs
      gnome-weather
      loupe
      nautilus
      orca
      seahorse
      simple-scan
      snapshot
      sushi
      sysprof
      totem
      yelp
    ];
  };
}
